<?php

/**
 * thema puro Theme Customizer
 * 
 * Copyright (c) 2023 Giancarlo P
 *
 * @package themapuro
 */

function themapuro_customize_register($wp_customize)
{
	$wp_customize->get_setting('blogname')->transport         = 'postMessage';
	$wp_customize->get_setting('blogdescription')->transport  = 'postMessage';
	$wp_customize->get_setting('header_textcolor')->transport = 'postMessage';

	if (isset($wp_customize->selective_refresh)) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'puro_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'puro_customize_partial_blogdescription',
			)
		);
	}
	class WP_New_Menu_Customize_Control extends WP_Customize_Control
	{

		public $type = 'new_menu';
		public function enqueue()
		{
			wp_enqueue_style('css customizer', get_stylesheet_directory_uri()  . "/css/custmomizer.css");
			//wp_enqueue_script('themapuro', get_template_directory_uri() . '/js/', array(), true);
		}
		public function render_content()
		{
?>
			<span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
			<?php if (!empty($this->description)) { ?>
				<span class="customize-control-description"><?php echo esc_html($this->description); ?></span>
			<?php } ?>

			<div class="continet">

				<input type="checkbox" class="checkboxe" id="<?php echo esc_attr($this->id); ?>" name="<?php echo esc_attr($this->id); ?>" value="<?php echo esc_attr($this->value()); ?>" <?php $this->link();
																																															checked($this->value()); ?>>

			<?php
		}
	}

	class Customize_RGBA_Color_Control extends WP_Customize_Control {
		public $type = 'rgbacolor';
	
		public function enqueue() {
			// Enqueue necessary scripts and styles
			wp_enqueue_script('themapuro', get_template_directory_uri() . '/js/scriptrgb.js');
			wp_enqueue_style('wp-color-picker');
		}
	
		public function render_content() {
			?>
			<label>
				<span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
				<input type="text" data-alpha="true" class="color-picker" value="<?php echo esc_attr($this->value()); ?>" <?php $this->link(); ?>>
			</label>
			<?php
		}
	}
	

	class Custom_Checkbox_Image_Control extends WP_Customize_Control
	{

		public $type = 'custom_checkbox_image';

		public $icon_url = '';

		public function enqueue()
		{
			wp_enqueue_style('css customizer', get_stylesheet_directory_uri()  . "/css/custmomizer.css");
			wp_enqueue_script('themapuro', get_template_directory_uri() . '/js/javascript.js');
		}
		public function render_content()
		{
			?>
		<div class="label-clas">
			<span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
			<?php if (!empty($this->description)) : ?>
				<span class="description customize-control-description"><?php echo esc_html($this->description); ?></span>
			<?php endif; ?>
			<div class="chain">
				<label>
					<input type="checkbox" style="display:none" <?php $this->link(); ?> <?php checked($this->value()); ?> />
					<?php if (!empty($this->icon_url)) : ?>
						<img onclick="myFunction()" id="img-bottom" src="<?php echo esc_url($this->icon_url); ?>" alt="Custom Icon"/>
					<?php endif; ?>
				</label>
			</div>
		</div>
	<?php
		}
	}

    $wp_customize->add_section('landing_page_home', array(
		'title'       => __('Telephone - E-mail', 'themapuro'),
	    'priority'    => 2,
		'panel'       => 'panel_contact', //E TUTTO LUI LA POSIZIONE PANNELLI//
	));

    // telefono numero piu icona //
	$wp_customize->add_setting('phone_number', array(
		'capability' => 'edit_theme_options',
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));

	$wp_customize->add_control('phone_number', array(
		'type' => 'text',
		'section' => 'landing_page_home',
		'label' => __('Bar at the top left 1', 'themapuro'),
		'description' => __('"More information email or telephone"', 'themapuro'),
	));

	// icone testo primo //
	$wp_customize->add_setting('select_icon_primo', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('select_icon_primo', array(
		'label'      => __('Top left bar icon 1', 'themapuro'),
		'section'    => 'landing_page_home',
		'type'       => 'select',
		'choices' => array(
			'remove' => 'X',
			'bi bi-telephone-forward'   =>  'Telephone icona',
			'bi bi-envelope'    =>  'Icon email',
		)
	));
	// casella email//
	$wp_customize->add_setting('email', array(
		'capability' => 'edit_theme_options',
		'default' => '',
		'transport'   => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('email', array(
		'type' => 'text',
		'section' => 'landing_page_home',
		'label' => __('Bar at the top left 2', 'themapuro'),
		'description' => __('"More information email or telephone"', 'themapuro'),
	));

	// icone testo secondo//
	$wp_customize->add_setting('select_icon_secondo', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('select_icon_secondo', array(
		'label'      => __('Top left bar icon 2', 'themapuro'),
		'section'    => 'landing_page_home',
		'type'       => 'select',
		'choices' => array(
			'remove' => 'X',
			'bi bi-telephone-forward'   =>  'Icon Telephone',
			'bi bi-envelope'    =>  'Icon email',
		)
	));

	$wp_customize->add_section('section_header', array(
		'title' => __('Header','themapuro'),
		'priority' => 2,
		'panel'    => 'panel_contact', //E TUTTO LUI LA POSIZIONE PANNELLI//
		'description'    => __('Show ho hide the navigation information bar', 'themapuro'),
	));

	// nav top//
	$wp_customize->add_setting('icona_show_hide', array(
		'default' => 'show',
		'theme_slug_customizer_choices',
		array(
			'sanitize_callback' => 'theme_slug_sanitize_choices'
		)
	));

	$wp_customize->add_control(new WP_New_Menu_Customize_Control($wp_customize, 'icona_show_hide', array(
		'label'        =>  __('Hide Show navigation at top', 'themapuro'),
		'description'  =>  __('bottom', 'themapuro'),
		'section'      =>    'landing_page_home',
		'type'         =>    'checkbox',
		'choices' => array(
			'show'    =>  'on',
			'hide'   =>   'off',
		)
	)));

	// buttom //
	$wp_customize->add_setting('button_show_hide', array(
		'default' => '',
		'theme_slug_customizer_choices',
		array(
			'sanitize_callback' => 'theme_slug_sanitize_choices'
		)
	));

	$wp_customize->add_control(new WP_New_Menu_Customize_Control($wp_customize, 'button_show_hide', array(
		'label'        =>  __('Hide Show bottom header', 'themapuro'),
		'description'  =>  __('bottom', 'themapuro'),
		'section'      =>    'section_header',
		'type'         =>    'checkbox',
		'choices' => array(
			'on'    =>  'on',
			'off'   =>  'off',
		)
	)));

	// casella testo bottone header//
	$wp_customize->add_setting('text_button_header', array(
		'capability' => 'edit_theme_options',
		'default' => 'Contacts',
		'sanitize_callback' => 'sanitize_text_field'
	));

	$wp_customize->add_control('text_button_header', array(
		'type' => 'text',
		'section' => 'section_header',
		'label' => __('Button text', 'themapuro'),
		'description' => __('"Change the text"', 'themapuro'),
	));

	//url bottone header//
	$wp_customize->add_setting('button_header_url', array(
		'default' => 'https://',
		'sanitize_callback' => 'esc_url_raw',
	));

	$wp_customize->add_control('button_header_url', array(
		'label' => __('URL Button header','themapuro'),
		'section' => 'section_header',
		'type' => 'text',
	));

	$wp_customize->add_setting('display_flex_show_hide', array(
		'default' => '', // Default selected option
		'transport'   => 'refresh',
		'theme_slug_customizer_choices',
		array(
			'sanitize_callback' => 'theme_slug_sanitize_choices'
		)
	));
	$wp_customize->add_control(new Custom_Checkbox_Image_Control($wp_customize, 'display_flex_show_hide', array(
		'label'        =>  __('Hide Show header Display Flex', 'themapuro'),
		'description'  =>  __('the articles appear correctly with a customized category below after the third post', 'themapuro'),
		'section'      =>    'section_header',
		'icon_url'     => get_template_directory_uri() . '/inc/image/img-button-displayflex.jpg',
	)));

	//PROVA VARIABILE
	$wp_customize->add_setting('variabile_cate_semple', array(
		'capability' => 'edit_theme_options',
		'default' => 'Uncategorized',
		'transport'   => 'refresh',
		'sanitize_callback' => 'sanitize_text_field'
	));

	$wp_customize->add_control('variabile_cate_semple', array(
		'type' => 'text',
		'section' => 'section_header',
		'label' => __('Category Name', 'themapuro'),
		'description' => __('"Add a new news category NEW CATEGORY NAME to make the 3 news display work properly"', 'themapuro'),
	));

 //'background color header//
     $wp_customize->add_setting( 'sfondo_cat_display', array(
	'default'     => '',
	'sanitize_callback' => 'sanitize_hex_color', 
	));
  
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sfondo_cat_display', array(              
	'label'      => __('background color categories', 'themapuro' ),
	'section'    => 'section_header',   
	))); 

	//background color opacity
	$wp_customize->add_setting('rgba_color_setting', array(
	'default' => 'rgba()',
	'transport'   => 'refresh',
	'theme_slug_customizer_rgba',
		array(
			'sanitize_callback' => 'theme_slug_sanitize_rgba'
		)
	 ));

    $wp_customize->add_control(new Customize_RGBA_Color_Control($wp_customize, 'rgba_color_setting', array(
        'label' => __('Enter the RGBA color code for the categories on the flex display', 'themapuro'),
        'section' => 'section_header',
        'settings' => 'rgba_color_setting',
    )));


	// Add a section footer customization
	$wp_customize->add_section('landing_page_footer', array(
		'title' => __('Footer', 'themapuro'),
		'priority' => 30,
		'panel'    => 'panel_contact',
	));

	// Footer//
	$wp_customize->add_setting('text_footer_semple', array(
		'capability' => 'edit_theme_options',
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));

	$wp_customize->add_control('text_footer_semple', array(
		'type' => 'textarea',
		'section' => 'landing_page_footer',
		'label' => __('Footer', 'themapuro'),
		'description' => __('"Text footer"', 'themapuro'),
	));

	// Add a section footer customization
	$wp_customize->add_section('landing_page_sidebar', array(
		'title' => __('Sidebar', 'themapuro'),
		'priority' => 30,
		'panel'    => 'panel_contact',
	));

	$wp_customize->add_setting('sidebar_show_hide', array(
		'default' => 'show',
		'transport'   => 'refresh',
		'theme_slug_customizer_choices',
		array(
			'sanitize_callback' => 'theme_slug_sanitize_choices'
		)
	));
	$wp_customize->add_control(new WP_New_Menu_Customize_Control($wp_customize, 'sidebar_show_hide', array(
		'label'        =>  __('Hide Sidebar', 'themapuro'),
		'description'  =>  __('remove sidebar for full width', 'themapuro'),
		'section'      =>    'landing_page_sidebar',
		'settings'     =>    'sidebar_show_hide',
		'type'         =>    'checkbox',
		'choices' => array(
			'show' => __('Show', 'themapuro'),
			'hide' => __('Hide', 'themapuro'),
		)
	)));
}
add_action('customize_register', 'themapuro_customize_register');

function themapuro_custom_social_icons_customize_register($wp_customize){

	// Add panel padre
	$wp_customize->add_panel('panel_contact', array(
		'priority'       => 10,
		'title'          => __('Theme Options', 'themapuro'),
	));

	$wp_customize->add_section('social_icons_section', array(
		'title' => __('Icon Social','themapuro'),
		'priority' => 2,
		'panel'    => 'panel_contact', 
		'description'    => __('Bootstrap Icons Free, high quality, open source icon library', 'themapuro'),
	));

	//url icone facebook social//
	$wp_customize->add_setting('facebook_url', array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	));

	$wp_customize->add_control('facebook_url', array(
		'label' => __('URL  Facebook','themapuro'),
		'section' => 'social_icons_section',
		'type' => 'text',
	));

	//url icone whatsapp social//
	$wp_customize->add_setting('whatsapp_url', array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	));

	$wp_customize->add_control('whatsapp_url', array(
		'label' => __('URL  Whatsapp','themapuro'),
		'section' => 'social_icons_section',
		'type' => 'text',
	));

	//url icone twitter social//
	$wp_customize->add_setting('twitter_url', array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	));

	$wp_customize->add_control('twitter_url', array(
		'label' => __('URL  Twitter','themapuro'),
		'section' => 'social_icons_section',
		'type' => 'text',
	));

	//url icone github social//
	$wp_customize->add_setting('github_url', array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	));

	$wp_customize->add_control('github_url', array(
		'label' => __('URL  Github','themapuro'),
		'section' => 'social_icons_section',
		'type' => 'text',
	));
	//url icone youtube social//
	$wp_customize->add_setting('youtube_url', array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	));

	$wp_customize->add_control('youtube_url', array(
		'label' => __('URL  Youtube','themapuro'),
		'section' => 'social_icons_section',
		'type' => 'text',
	));
	//url icone instagram social//
	$wp_customize->add_setting('instagram_url', array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	));

	$wp_customize->add_control('instagram_url', array(
		'label' => __('URL  Instagram','themapuro'),
		'section' => 'social_icons_section',
		'type' => 'text',
	));
}
add_action('customize_register', 'themapuro_custom_social_icons_customize_register');

function themapuro_customize_css() {
    $sfondo_cat_display=get_theme_mod('sfondo_cat_display');
	$rgba_color_setting=get_theme_mod('rgba_color_setting');

?>
<style type="text/css">
.sistem-category a{
    background-color: <?php echo esc_html($sfondo_cat_display);
    ?> !important;
  }
  .sistem-category a{
    background-color: <?php echo esc_html($rgba_color_setting);
    ?> !important;
  }
</style><?php
}

add_action('wp_head', 'themapuro_customize_css');

