<?php

/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ThemaPuro
 */

get_header();
?>
<div class="container">
	<div class="row padding">
	<?php $show_hide_setting = get_theme_mod('sidebar_show_hide', 'show');
	      if ($show_hide_setting == 'show') : ?>
	   <main id="primary" class="site-main col-md-8">
		<?php endif;?>
		   <div class="breadcrumb"><?php themapuro_get_breadcrumb(); ?></div>
			<?php while (have_posts()) : the_post();?>

			<h2 class="card-title-single"><?php the_title(); ?></h2>
					<div class="post-thumbnail-single">
						<?php the_post_thumbnail(); ?>
					</div>
					<div class="clearfix"><?php the_content(); ?></div>
					<p class="card-category"><small class="text-muted"><?php the_category(); ?></small></p>

			<?php endwhile; // End of the loop.?>
			<div class="inpagina">
				<?php wp_link_pages(); ?>
				<?php the_posts_pagination(array(
					'mid_size'  => 2,
					'prev_text' => __(' < ', 'themapuro'),
					'next_text' => __(' > ', 'themapuro'),
				)); ?>
			</div>
		</main><!-- #main -->
		<?php get_sidebar(); ?>
	</div><!--row-->
</div><!--container-->
<?php get_footer();
